%!TEX root=../../source.tex
%!TEX file=content/spatial-dynamics/numerical-evaluation.tex

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\subsection{Numerical Evaluation}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{frame}
  \frametitle{\subsecname}
  \framesubtitle{Natural Frequencies: Polynomial Degree}

  \begin{figure}
    \centering
    \smaller[2]
    % \tikzexternalenable%
    % \tikzsetnextfilename{cosserat-rod--bsplines--natural-frequencies--convergence-rate}
    \includegraphics[%
      ]{cosserat-rod/bsplines/natural-frequencies/convergence-rate}
    \tikzexternaldisable
  \end{figure}
  
  \vfill
  
  \begin{takeawayblock}{}
    Approximation of natural frequencies converges quickly for $\numsegments \geq 10$
  \end{takeawayblock}
\end{frame}

\begin{frame}
  \frametitle{\subsecname}
  \framesubtitle{Natural Frequencies: Varying Tension}

  \begin{figure}
    \centering
    \smaller[2]
    % \tikzexternalenable%
    % \tikzsetnextfilename{cosserat-rod--bsplines--natural-frequencies--varying-tension-d04-s10}
    \includegraphics[%
      ]{cosserat-rod/bsplines/natural-frequencies/varying-tension-d04-s10}
    \tikzexternaldisable%
  \end{figure}
  
  \vfill
  
  \begin{takeawayblock}{}
    Error of natural frequencies less than $\SI{1}{\percent}$ over applicable tension range
  \end{takeawayblock}
\end{frame}


% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% \begin{frame}
%   \frametitle{\subsecname}
%   \framesubtitle{Cosserat Cable vs.\@ Irvine's Cable Model}

%   \begin{minipage}[t]{0.49\linewidth}
%   \end{minipage}%
%   \hfill%
%   \begin{minipage}[t]{0.49\linewidth}
%   \end{minipage}%
% \end{frame}
